aboutsummaryrefslogtreecommitdiffstats
path: root/testing/bspwm/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-09-28 18:06:32 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2015-09-28 18:06:32 +0200
commitaaa90231b36a4c23e4c655893f95de721330ecd1 (patch)
tree958b38994adae8e13347f8c428b4fa90a5a1b2db /testing/bspwm/APKBUILD
parentfd9172d44f891f753b6fb58559c20da43e269007 (diff)
downloadaports-aaa90231b36a4c23e4c655893f95de721330ecd1.tar.gz
aports-aaa90231b36a4c23e4c655893f95de721330ecd1.tar.bz2
aports-aaa90231b36a4c23e4c655893f95de721330ecd1.tar.xz
testing/bspwm: new aport
Diffstat (limited to 'testing/bspwm/APKBUILD')
-rw-r--r--testing/bspwm/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/testing/bspwm/APKBUILD b/testing/bspwm/APKBUILD
new file mode 100644
index 0000000000..ab6de4abc0
--- /dev/null
+++ b/testing/bspwm/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
+pkgname=bspwm
+pkgver=0.9
+pkgrel=0
+pkgdesc="Tiling window manager based on binary space partitioning"
+url="https://github.com/baskerville/bspwm"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="libxcb-dev xcb-util-dev xcb-util-wm-dev"
+install=""
+subpackages="
+ $pkgname-doc
+ $pkgname-zsh-completion:zshcomp
+ $pkgname-bash-completion:bashcomp"
+source="$pkgname-$pkgver.tar.gz::https://github.com/baskerville/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ make PREFIX=/usr -C "$_builddir" || return 1
+}
+
+package() {
+ make DESTDIR="$pkgdir" PREFIX=/usr \
+ -C "$_builddir" install || return 1
+}
+
+zshcomp() {
+ depends=""
+ pkgdesc="Zsh completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel zsh"
+ arch="noarch"
+
+ mkdir -p "$subpkgdir"/usr/share/zsh/site-functions
+ mv "$pkgdir"/usr/share/zsh/site-functions/* \
+ "$subpkgdir"/usr/share/zsh/site-functions || return 1
+
+}
+
+bashcomp() {
+ depends=""
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel bash"
+ arch="noarch"
+
+ mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
+ mv "$pkgdir"/usr/share/bash-completion/completions/* \
+ "$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+}
+
+md5sums="fd170b166a4e446a0b08f4027f802b0e bspwm-0.9.tar.gz"
+sha256sums="1efb2db7b8a251bcc006d66a050cf66e9d311761c94890bebf91a32905042fde bspwm-0.9.tar.gz"
+sha512sums="09c4a52dc9f2635973d3b31d507373c27e17a8fb172b2783422049cfc4fa8416bb87a29dea74c2e0e71febdfa53f86a9c09004aa7328b6a08490537329c48370 bspwm-0.9.tar.gz"